1
0
-1

I upgraded my Windows 4.0.2 install to 4.2 and now Apache2.4 won't start

[Fri Oct 29 11:19:52.159731 2021] [proxy:warn] [pid 3544:tid 400] AH01146: Ignoring parameter 'retry=5' for worker 'http://localhost:8042/omk' because of worker sharing
[Fri Oct 29 11:19:52.175351 2021] [core:warn] [pid 3544:tid 400] AH00098: pid file C:/xampp/apache/logs/httpd.pid overwritten -- Unclean shutdown of previous Apache run?
[Fri Oct 29 11:19:52.190912 2021] [ssl:warn] [pid 3544:tid 400] AH01909: www.example.com:443:0 server certificate does NOT include an ID which matches the server name
PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0
[Fri Oct 29 11:19:52.190912 2021] [:emerg] [pid 3544:tid 400] AH00020: Configuration Failed, exiting

  1. Rick Wegner

    OAE 4.0.1 had Apache configured to run with a local Account I created. I provided write access to the Apache folder under xampp to this local account.

    After granting permission to the "Apache" local account for access to the PHP folder under xampp my errors are reduced to 

    PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0
    [Fri Oct 29 12:05:52.400351 2021] [:emerg] [pid 4444:tid 400] AH00020: Configuration Failed, exiting

  2. Rick Wegner

    I found this entry online
    Turns out PHP 7.4.x requires Microsoft Visual C++ Redistributable for Visual Studio 2019 which can be downloaded here under the heading Other Tools and Frameworks

    I've tried installing both the x86 and the 64bit versions of the C++ ... and reinstalling OA4.2 but I keep getting the error entries below

    PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0
    [Fri Oct 29 13:16:14.186682 2021] [:emerg] [pid 3580:tid 416] AH00020: Configuration Failed, exiting

  3. Rick Wegner

    I have rolled back our Open-Audit server to pre-upgrade, though I am back to being unable to export to CSV files so I have a newly built Win2019 Server with 4.2 running on it. Now my project for today is to migrate the data from the 4.0.1 install to the new 4.2 Install

CommentAdd your comment...